@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
}

a {
    text-decoration: none;
}

ul {
    list-style: none;
}


body {
    font-family: 'Poppins', sans-serif;
}


:root {
    --gradiant-a: linear-gradient(to right, #2B65FF, #B22EB9);
    --gradiant-a-reverse: linear-gradient(to right, #B22EB9, #2B65FF);
    --gradiant-a-tb: linear-gradient(0deg, #B22EB9, #2B65FF);
    --white-15: rgba(255, 255, 255, 0.15);
    --blue-15: rgba(43, 101, 255, 0.15);
    --blue-50: rgba(43, 101, 255, 0.5);
    --color-secondary: #101532;
    --color-black-2: #585B6F;
    --color-white-a: #F5F6F7;
    --color-pink: #B22EB9;
    --color-blue: #2B65FF;
}


.white-15-bg {
    background: var(--white-15);
}

.blue-15-bg {
    background: var(--blue-15);
}

.color-secondary {
    color: var(--color-secondary);
}
.border-color-white-15{
    border: 2px solid var(--white-15);
}
.border-color-blue-15{
    border: 2px solid var(--blue-15);
}
.color-blue-50{
    color: var(--blue-50);
}
.bg-secondary {
    background: var(--color-secondary);
}

.bg-white-a {
    background: var(--color-white-a);
}

.color-black-2 {
    color: var(--color-black-2);
}

.bg-gradiant-a-reverse {
    background: var(--gradiant-a-reverse);
}
.bg-gradiant-a-tb {
    background: var(--gradiant-a-tb);
}
.bg-blue {
    background: var(--color-blue);
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'Poppins', sans-serif;
}

/* ================================================
Header CSS
================================================ */
.main-header {
    position: fixed;
    width: 100%;
    border-bottom: 1px solid #ffffff20;
    z-index: 999;
    transition: .3s ease-in-out;
}

.main-header.skicky {
    background: #080128;
}

.header-wrrapper {
    height: 100px;
}

.logo img {
    width: 160px;
}
.menu ul li:first-child{
    display: none;
}
.menu ul li a {
    color: #fff;
    font-weight: 500;
    transition: .3s ease-in-out;
}

.menu ul li a:hover {
    color: #2B65FF;
}

.menu ul li:last-child a:hover {
    color: #fff;
}

/* ================================================
Banner CSS
================================================ */
.banner {
    content: "";
    height: 100vh;
    width: 100%;
    position: relative;
    background: url('../img/banner.jpg') center center / cover no-repeat;
}

.icon-button {
    padding-right: 20px;
    padding-left: 40px;
    position: relative;
    overflow: hidden;
}

.btn-a {
    background: var(--gradiant-a-reverse);
    color: #fff;
    font-weight: 500;
    border: none;
    transition: .3s ease-in-out;
}

.btn-b {
    background: var(--color-white-a);
    color: var(--color-secondary);
    font-weight: 500;
    border: none;
    transition: .3s ease-in-out;
}

.btn-b:hover {
    background: var(--color-pink);
    color: #fff;
}

.btn-b-dark-hover:hover {
    background: var(--color-secondary);
}

.left-btn-icon {

    transition: .3s ease;
    left: 20px;
}

.right-btn-icon {
    transition: .3s ease;
    right: 30px;
    opacity: 0;
}

.btn-a:hover {
    background: var(--gradiant-a);
    color: #fff;
}

.header-button i {
    rotate: 320deg;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    margin-top: -3px;
}

.icon-button:hover {
    padding-right: 40px;
    padding-left: 20px;
}

.icon-button:hover .left-btn-icon {
    opacity: 0;
    left: 30px;

}

.icon-button:hover .right-btn-icon {
    opacity: 1;
    right: 10px
}

.banner-left-part h1 {
    font-size: 80px;
    margin-top: 30px;
}

.adevs-badge {
    padding: 5px 16px;
    display: inline-flex;
}

.banner-left-part p {
    padding: 30px 0px;
}

.banner-bottom-part {
    background: var(--gradiant-a);
    padding: 35px 0px;
    clip-path: polygon(90% 0, 95% 51%, 100% 100%, 0 100%, 0 0);
}

.banner-bottom-part-wrrapper {
    width: 486px;
    display: flex
}

.banner-blue-mark {
    left: 50%;
    transform: translateX(-50%);
    bottom: 40px;
}

.trust-badge-icon {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.trust-badge-circle {
    animation: circle-animation 20s linear infinite;
}

@keyframes circle-animation {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}


.mobile-hamburger-icon {
    display: flex;
    height: 30px;
    width: 40px;
    flex-direction: column;
    justify-content: space-between;
    position: relative;
    cursor: pointer;
}

.mobile-hamburger-icon span {
    position: absolute;  
    left: 0;
    right: 0;
    margin: auto;
    height: 4px;
    background: var(--gradiant-a);
    width: 100%;
    transition: all 0.3s ease;
}

.mobile-hamburger-icon span:nth-child(1) {
    top: 0;
}
.mobile-hamburger-icon span:nth-child(2) {
    top: 50%;
    transform: translateY(-50%);
}
.mobile-hamburger-icon span:nth-child(3) {
    bottom: 0;
}

.open-mobile-menu .mobile-hamburger-icon {
    justify-content: center;
}
.open-mobile-menu .mobile-hamburger-icon span{
    background: var(--gradiant-a-reverse);
}
.open-mobile-menu .mobile-hamburger-icon span:nth-child(2) {
    opacity: 0;
}

.open-mobile-menu .mobile-hamburger-icon span:nth-child(1) {
    top: 50%;
    transform: translateY(-50%) rotate(45deg);
}
.open-mobile-menu .mobile-hamburger-icon span:nth-child(3) {
    bottom: auto;
    top: 50%;
    transform: translateY(-50%) rotate(-45deg);
}


.sp-lg {
    padding: 120px 0px;
}

.sh {
    font-size: 50px;
    margin-top: 30px;
    margin-bottom: 40px;
    font-weight: 900;
}
.sh-lg{
    font-size: 66px;
    font-weight: 900;
}
.sh-md {
    font-size: 40px;
}

.our-approach-content {
    padding-left: 50px;
}

.bg-texture {
    position: relative;
    z-index: 1;
}

.bg-texture::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: -1;
}

.our-approach::before {
    background: url('../img/bg-texture-1.png') center center / cover no-repeat;
    background-attachment: fixed;
}

.software-solutions-left {
    position: sticky;
    top: 200px;
}

.how-we-help {
    z-index: 1;
}

.how-we-help::before {
    background: url('../img/bg-texture-2.png') center center / cover no-repeat;
}

.book-a-call-section::before {
    background: url('../img/bg-texture-3.jpg') center center / cover no-repeat;
}

.sp-md {
    padding: 80px 0px;
}

.workprocess {
    padding-bottom: 250px;
}

.workprocess-service-nav {
    width: 440px;
}

.workprocess-service-nav .nav-link {
    padding: 20px 0px;
    background-color: var(--color-white-a) !important;
    border-radius: 16px;
    position: relative;
    overflow: hidden;
}

.workprocess-service-nav .nav-link img {
    margin-bottom: 10px;
}

.workprocess-service-nav .nav-link span {
    position: absolute;
    top: -20px;
    right: -20px;
    font-weight: 600;
    background: var(--blue-15);
    height: 80px;
    width: 80px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50px;
    padding-top: 10px;
    padding-right: 10px;
    font-size: 22px;
    color: var(--color-secondary);
    transition: .3s ease-in-out;
}

.workprocess-service-nav .nav-link.active span,
.workprocess-service-nav .nav-link:hover span {
    background: linear-gradient(to top, #2B65FF, #B22EB9);
    color: #F5F6F7;
}

.tab-content-workprocess {
    position: sticky;
    top: 200px;
    padding-left: 40px;
}

.tab-content-wrrapper {
    position: relative;
}

.tab-content-wrrapper img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.workprocess-bottom-part {
    position: absolute;
    padding: 40px;
    width: 400px;
    border-bottom: 2px solid #2B65FF;
    border-radius: 16px;
    bottom: -150px;
    background: #fff;
    z-index: 1;
    right: 50px;
}

.tech-stack-nav {
    padding: 10px;
    background: #fff;
    width: fit-content;
    border-radius: 100px;
    margin: auto;
}

.tech-stack-nav .nav-link {
    padding: 10px 30px;
    background: var(--color-white-a);
    border-radius: 100px;
    border: 1px solid var(--color-white-a);
    color: var(--color-secondary);
    transition: .3s ease-in-out;
    font-size: 18px;
}

.tech-stack-nav .nav-link.active,
.tech-stack-nav .nav-link:hover {
    background: var(--gradiant-a);
    color: #fff;
}

.technology-box {
    border: 1px solid transparent;
    cursor: pointer;
    transition: .3s ease-in-out;
}

.technology-box:hover img {
    transition: .3s ease-in-out;
}

.technology-box:hover img {
    transform: scale(0.9);
}

.technology-box:hover {
    transform: translateY(-10px);
    border: 1px solid rgba(88, 91, 111, 0.20);
}


.single-testimonial-box {
    border-radius: 18px;
    border: 1px solid rgba(88, 91, 111, 0.20);
    overflow: hidden;
}

.testimonial-content {
    padding: 20px 30px;
    background: var(--color-white-a);
    width:65%;
}

.testimonal-left {
    position: relative;
    width: 35%;
}
.testimonal-left img{
    width: 100%;
    object-fit: cover;
    height: 100%;
}
.blog-left {
    width: 40%;
}

.blog-content {
    width: 60%;
}

.single-blog-box {
    height: 220px;
}

.blog-left img {
    object-fit: cover;
    height: 100%;
}

.testimonal-left .play-icon {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: var(--color-white-a);
    border-radius: 50%;
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: .3s ease-in-out;
}

.play-icon:hover {
    background: var(--gradiant-a);
    color: var(--color-white-a);
}

.make-an-appoinment::before {
    background: url('../img/contact-bg.jpg') center center / cover no-repeat;
}


input[type=date], input[type=email], input[type=number], input[type=password], input[type=search], input[type=tel], input[type=text], input[type=url], select, textarea{
 border: var(--bs-border-width) solid var(--bs-border-color);
}

.custom-input-group input,
.custom-input-group textarea {

    border-right: none;
}

.form-group input,
.custom-input-group input {
    background: #fff;
    padding: 10px 20px;
}

.custom-input-group span {
    background: #fff;
    border-left: none;
    align-items: center !important;
}

.custom-input-group img {
    width: 20px;
}

span.input-group-text {
    display: flex;
    align-items: flex-start;
}

.free-consultation::before {
    background: var(--color-white-a);
    height: 450px;
}

.send_inquiry_box {
    background: #0A165E;
}

.has-bottom-circle {
    position: relative;
    z-index: 1;
    overflow: hidden;
}

.has-bottom-circle::before {
    content: "";
    position: absolute;
    bottom: -50px;
    right: -50px;
    width: 200px;
    height: 200px;
    border: 30px solid rgba(255, 255, 255, 0.10);
    border-radius: 50%;
    z-index: -1;
}



.footer::before {
    background: url('../img/footer-bg.jpg') center center / cover no-repeat;
}

.icon-box-sm {
    height: 40px;
    width: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.footer-top .location-wrapper h4 {
    font-size: 140px;
    margin-bottom: 0;
    font-weight: bold;
    background: var(--gradiant-a);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    opacity: 0.5;

}

.footer-top-icons .icon-box-sm {
    border: 1px solid var(--white-15);
    color: #2B65FF;
    border-radius: 50px;
}

.footer-top-icons .icon-box-text {
    font-size: 16px;
    color: var(--color-white-a);
    width: 80%;
}

.footer-top {
    padding-bottom: 80px;
    margin-bottom: 80px;
    border-bottom: 1px solid var(--white-15);
}

.footer-links li a {
    color: #fff;
    transition: .3s ease-in-out;
    position: relative;
}

.footer-links li a:hover {
    color: #2B65FF;
    padding-left: 20px;
}

.footer-links li a::before {
    content: "";
    width: 0px;
    height: 2px;
    transform: translateY(-50%);
    position: absolute;
    top: 50%;
    left: 0;
    background: #2B65FF;
    transition: .3s ease-in-out;
}

.footer-links li a:hover::before {
    width: 10px;
}

.footer-social-links li {
    background: #1A1F42;
    border-radius: 50px;
    cursor: pointer;
    transition: .3s ease;
    font-size: 18px;
}

.footer-social-links li:hover {
    background: var(--gradiant-a);
    transform: translateY(-5px);

}

.footer-social-links li i {
    color: #fff;

}

.footer-bottom {
    margin-top: 80px;
    padding: 35px 0px;
    background: #1A1F42;
}

.footer-bottom-links li a {
    color: #fff;
    transition: .3s ease-in-out;
}

.footer-bottom-links li a:hover {
    color: #2B65FF;
}

.blog-page-breadcrumb::before {
    background: url('../img/page-breadcrumb.jpg') center center / cover no-repeat;
}
.page-breadcrumb{
    height: 400px;
    align-items: center;
    justify-content: center;
    display: flex;
}
.service-page-breadcrumb{
    height: 700px;
}
.icon-box-xl{
    height: 80px;
    width: 80px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    background: var(--color-secondary);
}
.box-style-1{
    cursor: pointer;
    border: 1px solid transparent;
    transition: .3s ease-in-out;
    
}
.box-style-1:hover{
    cursor: pointer;
    border: 1px solid var(--color-secondary);
    transform: translateY(-5px);
}
.icon-box-xl{
    transition: .3s ease;
}
.box-style-1:hover .icon-box-xl{
    transform: scale(0.95);
    background: var(--gradiant-a-reverse);
}
.service-why-choose-us::before{
    background: url('../img/why-choose-us-service.jpg') center center / cover no-repeat;
}
.bg-transparant{
    background: transparent;
}
.service-why-choose-us-wrapper{
    padding-top: 70px;
}
.industries-we-serve::before{
    background: url('../img/industry-bg.jpg') center center / cover no-repeat;
}
.icon-box-xs {
    height: 30px;
    width: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 14px;
}
.industry-box{
    position: relative;
    overflow: hidden;
    cursor: pointer;
    transition: .3s ease-in-out;
}
.industry-box:hover{
    border: 2px solid transparent;
    background: var(--gradiant-a-reverse);
    color: #fff;
    transform: translateY(-5px);
}
.industry-box:hover h4{ color: #fff; }
.industry-box:hover img{
    filter: brightness(0) invert(1);
}
.service-technology-wrrapper .tech-stack-nav{
    background: var(--color-white-a);
}
.service-technology-wrrapper .tech-stack-nav .nav-link{
    background: #fff;
    color: var(--color-secondary);
}
.service-technology-wrrapper .tech-stack-nav .nav-link.active, .service-technology-wrrapper .tech-stack-nav .nav-link:hover{
    background: var(--gradiant-a-reverse);
    color: #fff;
}
.service-technology-wrrapper .tech-stack-nav{
    margin: unset;
}
.service-technology-wrrapper .technology-box{
    background: var(--color-white-a) !important;
}
.success-story-section::before{
    background: url('../img/success-story-bg.jpg') center center / cover no-repeat;
}
.content-center{
    display: flex;
    justify-content: center;
    align-items: center;
}
.contact-form-left{
    padding: 70px 30px;
}

.wcu_items:nth-child(even){
    margin-top: -90px;
}


@media screen and (max-width: 992px){
    .wcu_items:nth-child(even){
        margin-top: 0px;
    }
    .menu {
        position: absolute;
        display: flex !important;
        background: #080128;
        height: 100vh;
        top: 0;
        left: -100%;
        width: 300px;
        transition: .3s ease-in-out;
    }
    .menu ul {
        flex-direction: column;
        justify-content: flex-start !important;
        align-items: flex-start !important;
        padding-top: 30px;
    }
    .menu ul li:first-child{
        display: block;
    }
    .menu ul li:first-child img{
        width: 150px;
    }
    .menu ul li:first-child {
        margin-bottom: 30px;
    }
    .open-mobile-menu .menu{
        left: 0px;
    }
    .banner-left-part h1{
        font-size: 38px;
    }
    .btn.py-3{
        padding-top: 10px !important;
        padding-bottom: 10px !important;
        font-size: 14px;
    }
    span,p{
        font-size: 14px;
    }
}

@media screen and (max-width: 600px) {
    .service-page-breadcrumb .breadcrumb-content .sh-lg br, .service-page-breadcrumb .breadcrumb-content p br,
    .book-a-call-section p br{
        display: none;
    }
    .banner-blue-mark{
        display: none;
    }
    .our-approach::before{
        background: unset;
    }
    .our-approach-content{
        padding-left: 0px;
    }
    .sh, .sh-lg{
        font-size: 30px;
    }
    .what-we-deliver .sh-md{
        font-size: 28px;
    }
    .fs-5{
        font-size: 16px !important;
    }
    .sp-lg{
        padding: 60px 0px;
    }
    .banner{
        height: 100dvh;
    }
    .sp-md{
        padding: 40px 0px;
    }
    .workprocess-service-nav{
        width: 100%;
    }
    .tech-stack-nav{
        justify-content: center;
    }
    .tech-stack-nav .nav-link{
        font-size: 14px;
        padding: 7px 14px;
    }
    .technology-box{
        padding: 20px !important;
    }
    .technology-box img{
        height: 60px;
    }
    .testimonal-left{
        width: 100%;
        height: 300px;
    }
    .testimonal-left img{
        object-fit: cover;
        object-position: top;
        width: 100%;
        height: 100%;
    }
    .make-an-appoinment::before{
        background-repeat: no-repeat;
        background-attachment: fixed;
    }
    .sh br{
        display: none;
    }
    .footer-top .location-wrapper h4{
        font-size: 70px;
        opacity: 0.7;
    }
    .footer-top{
        padding-bottom: 40px;
        margin-bottom: 40px;
    }
}
